/* Scrutari - Copyright (c) 2012-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import java.util.List;
import net.mapeadores.util.attr.AttributeDef;
import net.mapeadores.util.text.Label;
import net.mapeadores.util.text.LabelHolder;


/**
 *
 * @author Vincent Calame
 */
public final class AttributesPrint {

    private AttributesPrint() {
    }

    public static void printAttributesList(AdminHtmlPage hp, List<AttributeDef> attributeDefList) {
        hp
                .UL();
        for (AttributeDef attributeDef : attributeDefList) {
            printAttributeDefLi(hp, attributeDef);
        }
        hp
                ._UL();
    }

    private static void printAttributeDefLi(AdminHtmlPage hp, AttributeDef attributeDef) {
        hp
                .LI()
                .P()
                .CODE()
                .escape('[')
                .escape(attributeDef.getAttributeKey())
                .escape(']')
                ._CODE()
                .escape(" - ");
        LabelHolder labelHolder = attributeDef.getLabelHolder();
        int labelCount = labelHolder.getLabelCount();
        for (int i = 0; i < labelCount; i++) {
            if (i > 0) {
                hp
                        .escape(" / ");
            }
            Label label = labelHolder.getLabelByIndex(i);
            hp
                    .escape(label.getLabelString());
        }
        hp
                ._P()
                ._LI();
    }

}
