/* Scrutari - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.logs;

import fr.exemole.sctserver.api.storage.LogStorage;
import fr.exemole.sctserver.tools.log.SctLogUtils;
import net.mapeadores.util.servlets.ResponseHandler;
import net.mapeadores.util.servlets.handlers.SimpleResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public final class LogsResponseHandlerFactory {

    private LogsResponseHandlerFactory() {

    }

    public static ResponseHandler getHandler(String path, LogStorage logStorage) {
        int idx = path.indexOf('/', 1);
        if (idx == -1) {
            return null;
        }
        short type;
        try {
            type = SctLogUtils.logTypeToShort(path.substring(1, idx));
        } catch (IllegalArgumentException iae) {
            return null;
        }
        String name = path.substring(idx + 1);
        int idx2 = name.indexOf('/');
        if (idx2 != -1) {
            return null;
        }
        String content = logStorage.getLog(type, name);
        if (content == null) {
            return null;
        }
        return new SimpleResponseHandler(content);
    }

}
