/* ScrutariLib_DB - Copyright (c) 2012-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.tools.util;

import net.mapeadores.util.localisation.Lang;
import net.scrutari.data.BaseData;


/**
 *
 * @author Vincent Calame
 */
public class BaseCheck {

    private final Lang checkedLangUi;
    private final String baseIcon;

    private BaseCheck(Lang checkedLangUi, String baseIcon) {
        this.checkedLangUi = checkedLangUi;
        this.baseIcon = baseIcon;
    }

    public Lang getCheckedLangUi() {
        return checkedLangUi;
    }

    public String getBaseIcon() {
        return baseIcon;
    }

    public static BaseCheck check(BaseData baseData, Lang lang) {
        Lang checkedLangUi = baseData.checkLangUi(lang);
        String baseIcon = baseData.getBaseIcon(checkedLangUi);
        return new BaseCheck(checkedLangUi, baseIcon);
    }

}
