/* ScrutariLib_SearchEngine - Copyright (c) 2013-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.tools.operands.search;

import net.mapeadores.util.logicaloperation.LogicalOperationUtils;
import net.mapeadores.util.logicaloperation.Operand;
import net.scrutari.searchengine.api.CanonicalQ;
import net.scrutari.searchengine.api.operands.search.SearchOperation;


/**
 *
 * @author Vincent Calame
 */
public class SearchOperationBuilder {

    private SearchOperationBuilder() {
    }

    public static SearchOperation build(Operand rootOperand, int searchTokenOperandMaxNumber) {
        return new InternalSearchOperation(rootOperand, searchTokenOperandMaxNumber, CanonicalQ.newInstance(LogicalOperationUtils.toInformatiqueString(rootOperand)));
    }


    private static class InternalSearchOperation implements SearchOperation {

        private final Operand rootOperand;
        private final int searchTokenOperandMaxNumber;
        private final CanonicalQ canonicalQ;

        private InternalSearchOperation(Operand rootOperand, int searchTokenOperandMaxNumber, CanonicalQ canonicalQ) {
            this.rootOperand = rootOperand;
            this.searchTokenOperandMaxNumber = searchTokenOperandMaxNumber;
            this.canonicalQ = canonicalQ;
        }

        @Override
        public Operand getRootOperand() {
            return rootOperand;
        }

        @Override
        public int getSearchTokenOperandMaxNumber() {
            return searchTokenOperandMaxNumber;
        }

        @Override
        public CanonicalQ getCanonicalQ() {
            return canonicalQ;
        }

    }

}
