/* ScrutariLib_Xml - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.xml.xmlpull;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import net.mapeadores.util.attr.AttributeKey;
import net.mapeadores.util.text.CleanedString;
import net.mapeadores.util.xml.xmlpull.DefaultElementHandler;
import net.mapeadores.util.xml.xmlpull.SimpleElementHandler;
import net.mapeadores.util.xml.xmlpull.XmlPullElementHandler;


/**
 *
 * @author Vincent Calame
 */
public class AttrHandler extends DefaultElementHandler {

    private static final int VALUE = 1;
    private final AttributeKey attributeKey;
    private final List<CleanedString> valueList = new ArrayList<CleanedString>();

    public AttrHandler(AttributeKey attributeKey) {
        this.attributeKey = attributeKey;
    }

    public AttributeKey getAttributeKey() {
        return attributeKey;
    }

    public List<CleanedString> getValueList() {
        return valueList;
    }

    @Override
    public XmlPullElementHandler startSubElement(String tagname, Map<String, String> attributeMap) {
        switch (tagname) {
            case "val":
                return new SimpleElementHandler(VALUE);
            default:
                return null;
        }
    }

    @Override
    public void endSimpleSubElement(int type, String text) {
        switch (type) {
            case VALUE:
                CleanedString cs = CleanedString.newInstance(text);
                if (cs != null) {
                    valueList.add(cs);
                }
                break;
        }
    }

}
