/* SctServer_Directory - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.directory.cache;


/**
 *
 * @author Vincent Calame
 */
public final class OccurrencesKey {

    private final long lexieId;
    private final int subsetCode;

    public OccurrencesKey(long lexieId, int subsetCode) {
        this.lexieId = lexieId;
        this.subsetCode = subsetCode;
    }

    @Override
    public boolean equals(Object other) {
        if (other == null) {
            return false;
        }
        if (other == this) {
            return true;
        }
        if (other.getClass() != this.getClass()) {
            return false;
        }
        OccurrencesKey otherOccurrencesKey = (OccurrencesKey) other;
        return (otherOccurrencesKey.lexieId == this.lexieId) && (otherOccurrencesKey.subsetCode == this.subsetCode);
    }

    @Override
    public int hashCode() {
        return ((int) lexieId) + subsetCode;
    }

}
